## r-bioc-annotationfilter 1.2.0

=== DESCRIPTION ===
Package: AnnotationFilter
Title: Facilities for Filtering Bioconductor Annotation Resources
Version: 1.2.0
Authors@R: c(
    person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
        role = "aut"),
    person("Johannes", "Rainer", email = "johannes.rainer@eurac.edu",
        role = "aut"),
    person("Joachim", "Bargsten", email = "jw@bargsten.org", role = "ctb"),
    person("Daniel", "Van Twisk", email = "daniel.vantwisk@roswellpark.org",
        role = "ctb"),
    person("Bioconductor", "Maintainer", email="maintainer@bioconductor.org",
        role = "cre"))
URL: https://github.com/Bioconductor/AnnotationFilter
BugReports: https://github.com/Bioconductor/AnnotationFilter/issues
Description: This package provides class and other infrastructure to
    implement filters for manipulating Bioconductor annotation
    resources. The filters will be used by ensembldb, Organism.dplyr,
    and other packages.
Depends: R (>= 3.4.0)
Imports: utils, methods, GenomicRanges, lazyeval
Suggests: BiocStyle, knitr, testthat, RSQLite, org.Hs.eg.db
VignetteBuilder: knitr
License: Artistic-2.0
biocViews: Annotation, Infrastructure, Software
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
        'translate-utils.R'
NeedsCompilation: no
Packaged: 2017-10-31 01:20:26 UTC; biocbuild
Author: Martin Morgan [aut],
  Johannes Rainer [aut],
  Joachim Bargsten [ctb],
  Daniel Van Twisk [ctb],
  Bioconductor Maintainer [cre]
Maintainer: Bioconductor Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-annotationfilter (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 10:03:25 +0100

r-bioc-annotationfilter (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #878412)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 14:46:29 +0200

=== debian/control ===
Source: r-bioc-annotationfilter
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-cran-lazyeval
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-annotationfilter.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-annotationfilter.git
Homepage: https://bioconductor.org/packages/AnnotationFilter/

Package: r-bioc-annotationfilter
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: facilities for filtering Bioconductor annotation resources
 This package provides class and other infrastructure to
 implement filters for manipulating Bioconductor annotation
 resources. The filters will be used by ensembldb,
 Organism.dplyr, and other packages.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/AnnotationFilter.html .*/AnnotationFilter_(.*).tar.gz

## r-bioc-annotationfilter 1.4.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.4.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2018 08:47:00 +0200

r-bioc-annotationfilter (1.4.0-3) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 23:52:58 +0200

r-bioc-annotationfilter (1.4.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 23:47:29 +0200

r-bioc-annotationfilter (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 16:26:32 +0200

=== debian/control ===
Source: r-bioc-annotationfilter
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-cran-lazyeval
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
Homepage: https://bioconductor.org/packages/AnnotationFilter/

Package: r-bioc-annotationfilter
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: facilities for filtering Bioconductor annotation resources
 This package provides class and other infrastructure to
 implement filters for manipulating Bioconductor annotation
 resources. The filters will be used by ensembldb,
 Organism.dplyr, and other packages.

## r-bioc-annotationfilter 1.6.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.2.0
+Version: 1.6.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -9,7 +9,8 @@
     person("Joachim", "Bargsten", email = "jw@bargsten.org", role = "ctb"),
     person("Daniel", "Van Twisk", email = "daniel.vantwisk@roswellpark.org",
         role = "ctb"),
-    person("Bioconductor", "Maintainer", email="maintainer@bioconductor.org",
+    person("Bioconductor Package", "Maintainer",
+        email="maintainer@bioconductor.org",
         role = "cre"))
 URL: https://github.com/Bioconductor/AnnotationFilter
 BugReports: https://github.com/Bioconductor/AnnotationFilter/issues
@@ -28,11 +29,16 @@
 RoxygenNote: 6.0.1
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
+git_url: https://git.bioconductor.org/packages/AnnotationFilter
+git_branch: RELEASE_3_8
+git_last_commit: fa40a7e
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: no
-Packaged: 2017-10-31 01:20:26 UTC; biocbuild
+Packaged: 2018-10-31 01:51:18 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],
   Daniel Van Twisk [ctb],
-  Bioconductor Maintainer [cre]
-Maintainer: Bioconductor Maintainer <maintainer@bioconductor.org>
+  Bioconductor Package Maintainer [cre]
+Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-annotationfilter (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 Nov 2018 21:42:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/AnnotationFilter.html .*/AnnotationFilter_(.*).tar.gz

## r-bioc-annotationfilter 1.8.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 10:41:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/

## r-bioc-annotationfilter 1.10.0%2Bdfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Repository.
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 08:26:58 +0100

## r-bioc-annotationfilter 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.6.0
+Version: 1.10.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -30,12 +30,12 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_8
-git_last_commit: fa40a7e
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_10
+git_last_commit: 23d7018
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: no
-Packaged: 2018-10-31 01:51:18 UTC; biocbuild
+Packaged: 2019-10-30 02:30:18 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/

## r-bioc-annotationfilter 1.12.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.12.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:49:22 +0000

r-bioc-annotationfilter (1.12.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 08:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/
+Rules-Requires-Root: no
 
 Package: r-bioc-annotationfilter
 Architecture: all

## r-bioc-annotationfilter 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.10.0
+Version: 1.14.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -30,12 +30,12 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_10
-git_last_commit: 23d7018
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_12
+git_last_commit: 6ee3a13
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2019-10-30 02:30:18 UTC; biocbuild
+Packaged: 2020-10-27 22:22:11 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

=== debian/changelog ===
r-bioc-annotationfilter (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 08:34:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-genomicranges,

## r-bioc-annotationfilter 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.14.0
+Version: 1.18.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -20,22 +20,21 @@
     and other packages.
 Depends: R (>= 3.4.0)
 Imports: utils, methods, GenomicRanges, lazyeval
-Suggests: BiocStyle, knitr, testthat, RSQLite, org.Hs.eg.db
+Suggests: BiocStyle, knitr, testthat, RSQLite, org.Hs.eg.db, rmarkdown
 VignetteBuilder: knitr
 License: Artistic-2.0
 biocViews: Annotation, Infrastructure, Software
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 6.0.1
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_12
-git_last_commit: 6ee3a13
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 60a9b66
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-27 22:22:11 UTC; biocbuild
+Packaged: 2021-10-26 20:49:12 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

=== debian/changelog ===
r-bioc-annotationfilter (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 11:12:07 +0100

r-bioc-annotationfilter (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 11:41:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/

## r-bioc-annotationfilter 1.20.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 May 2022 12:44:09 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/

## r-bioc-annotationfilter 1.22.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.18.0
+Version: 1.22.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -29,12 +29,12 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_14
-git_last_commit: 60a9b66
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_16
+git_last_commit: c9fea4a
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2021-10-26 20:49:12 UTC; biocbuild
+Packaged: 2022-11-01 20:48:44 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

## r-bioc-annotationfilter 1.22.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-bioc-annotationfilter
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
+Homepage: https://bioconductor.org/packages/AnnotationFilter/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-lazyeval
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
-Homepage: https://bioconductor.org/packages/AnnotationFilter/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-annotationfilter
 Architecture: all

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/AnnotationFilter.html .*/AnnotationFilter_(.*).tar.gz

## r-bioc-annotationfilter 1.24.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.24.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:16:03 +0200

## r-bioc-annotationfilter 1.26.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
 Homepage: https://bioconductor.org/packages/AnnotationFilter/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-annotationfilter 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.22.0
+Version: 1.26.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -29,12 +29,12 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_16
-git_last_commit: c9fea4a
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_18
+git_last_commit: be933b3
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2022-11-01 20:48:44 UTC; biocbuild
+Packaged: 2023-10-24 20:15:54 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

=== debian/changelog ===
r-bioc-annotationfilter (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:22:25 +0100

## r-bioc-annotationfilter 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.26.0
+Version: 1.28.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -29,12 +29,13 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_18
-git_last_commit: be933b3
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 61709ad
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:15:54 UTC; biocbuild
+Packaged: 2024-05-01 02:30:52 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

=== debian/changelog ===
r-bioc-annotationfilter (1.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:42:49 +0200

r-bioc-annotationfilter (1.28.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:39:28 +0200

r-bioc-annotationfilter (1.28.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 23:47:34 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-genomicranges,
+               r-bioc-genomicranges (>= 1.56.1),
                r-cran-lazyeval
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-annotationfilter
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-genomicranges (>= 1.56.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-org.hs.eg.db (>= 3.19.1)
 Description: facilities for filtering Bioconductor annotation resources
  This package provides class and other infrastructure to
  implement filters for manipulating Bioconductor annotation

## r-bioc-annotationfilter 1.30.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: AnnotationFilter
 Title: Facilities for Filtering Bioconductor Annotation Resources
-Version: 1.28.0
+Version: 1.30.0
 Authors@R: c(
     person("Martin", "Morgan", email = "martin.morgan@roswellpark.org",
         role = "aut"),
@@ -29,13 +29,13 @@
 Collate: 'AllGenerics.R' 'AnnotationFilter.R' 'AnnotationFilterList.R'
         'translate-utils.R'
 git_url: https://git.bioconductor.org/packages/AnnotationFilter
-git_branch: RELEASE_3_19
-git_last_commit: 61709ad
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 1204cb5
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:30:52 UTC; biocbuild
+Packaged: 2024-10-29 23:26:19 UTC; biocbuild
 Author: Martin Morgan [aut],
   Johannes Rainer [aut],
   Joachim Bargsten [ctb],

## r-bioc-annotationfilter 1.30.0+dfsg

=== debian/changelog ===
r-bioc-annotationfilter (1.30.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:07:14 +0100

r-bioc-annotationfilter (1.30.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:47:52 +0100

=== debian/control ===
Source: r-bioc-annotationfilter
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationfilter.git
Homepage: https://bioconductor.org/packages/AnnotationFilter/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-cran-lazyeval
Testsuite: autopkgtest-pkg-r

Package: r-bioc-annotationfilter
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: facilities for filtering Bioconductor annotation resources
 This package provides class and other infrastructure to
 implement filters for manipulating Bioconductor annotation
 resources. The filters will be used by ensembldb,
 Organism.dplyr, and other packages.
